Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517662 - The quota is incremented even if build fails
Summary: The quota is incremented even if build fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Michal Fojtik
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 08:20 UTC by kavitha
Modified: 2019-02-19 18:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-19 18:58:26 UTC


Attachments (Terms of Use)

Description kavitha 2017-11-27 08:20:03 UTC
Description of problem:
When user sets a quota limits for a project(exmaple project1), then tries to create application inside project1, even if build of the application fails, the quota gets incremented. If the user tries to delete the failed application then also quota is not decrementing. This leads to cross the quota limits and fails to create the further application.

Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.6.173.0.48-1.git.0.1609d30.el7.noarch

How reproducible:
This increment in quota limits happens each time when the building of application fails.

Steps to Reproduce:
1.login to openshift 
2.oc create -f resource-quota.yaml -n project1
 #resource-quota.yaml 
apiVersion: v1
kind: ResourceQuota
metadata:
  name: core-object-counts
spec:
  hard:
    services: "1"

3.create appilcation inside project1 (build should be failed)
4.delete the appilcation which is failed.

Actual results:
after deletion the quota limits are not decrementing.


Expected results:
quota limits should decrement.

Additional info:

Comment 2 Michal Fojtik 2017-11-28 10:11:41 UTC
(In reply to kavitha from comment #0)
> Description of problem:
> When user sets a quota limits for a project(exmaple project1), then tries to
> create application inside project1, even if build of the application fails,
> the quota gets incremented. If the user tries to delete the failed
> application then also quota is not decrementing. This leads to cross the
> quota limits and fails to create the further application.
> 
> Version-Release number of selected component (if applicable):
> atomic-openshift-utils-3.6.173.0.48-1.git.0.1609d30.el7.noarch
> 
> How reproducible:
> This increment in quota limits happens each time when the building of
> application fails.
> 
> Steps to Reproduce:
> 1.login to openshift 
> 2.oc create -f resource-quota.yaml -n project1
>  #resource-quota.yaml 
> apiVersion: v1
> kind: ResourceQuota
> metadata:
>   name: core-object-counts
> spec:
>   hard:
>     services: "1"
> 
> 3.create appilcation inside project1 (build should be failed)

Hrm. the ResourceQuota above is limiting the number of services, it has nothing to
do with builds?

> 4.delete the appilcation which is failed.

What you mean by deleting the application? You delete the project or how you delete?

> 
> Actual results:
> after deletion the quota limits are not decrementing.
> 
> 
> Expected results:
> quota limits should decrement.
> 
> Additional info:

Comment 3 Michal Fojtik 2017-11-28 10:14:29 UTC
From my testing:

~/.../openshift/origin → oc describe resourcequota

Name:       core-object-counts
Namespace:  quota-test
Resource    Used  Hard
--------    ----  ----
services    0     1
~/.../openshift/origin → oc create service clusterip test --clusterip=None
service "test" created
~/.../openshift/origin → oc describe resourcequota
Name:       core-object-counts
Namespace:  quota-test
Resource    Used  Hard
--------    ----  ----
services    1     1
~/.../openshift/origin → oc delete services/test
service "test" deleted
~/.../openshift/origin → oc describe resourcequota
Name:       core-object-counts
Namespace:  quota-test
Resource    Used  Hard
--------    ----  ----
services    0     1

Comment 4 kavitha 2017-11-29 05:52:18 UTC
Hi Michal Fojtik,


What you mean by deleting the application? You delete the project or how you delete?

here deleting the application means:
deleting of application inside a particular project.

Comment 5 kavitha 2017-11-29 05:57:19 UTC
Hi Michal Fojtik,

I am working in openshift container platform and I faced this issue in openshift container platform. I have not worked on openshift origin. Building means: Creation of an application inside the project.

Comment 6 Wang Haoran 2017-11-29 07:17:57 UTC
Hi kavitha,

Could you please paste here how you create your application and how you delete the application? the command you used will really help.

Michal is wondering whether you delete the "Service" you created, you can use "oc get service" to check whether your service is deleted or not after your deletion of your "application".

Comment 7 kavitha 2017-11-29 09:54:34 UTC
Hi Wang Haoran,


I have created the application in GUI. checked the quota usage in CLI.

Comment 8 Wang Haoran 2017-11-29 10:01:27 UTC
How you delete your application? did you delete the servie?

Comment 9 kavitha 2017-11-29 11:56:26 UTC
Hi Wang Haoran,


Yeah i have deleted the service from GUI.

Comment 10 Michal Fojtik 2017-12-04 15:51:17 UTC
Deleting the service does not delete the entire application (build configs/builds).


Note You need to log in before you can comment on or make changes to this bug.